/*
 * MotoHawk_IO.h
 *
 */

#ifndef MOTOHAWK_IO_H
#define MOTOHAWK_IO_H
#include "CommonInclude.h"

/* S-Function Block: <S38>/motohawk_ain5 Resource: ECUP */
NativeError_S ECUP_AnalogInput_Get(uint16_T *adc, uint16_T *status);
NativeError_S ECUP_AnalogInput_Create(void);

/* S-Function Block: <S1>/motohawk_ain Resource: AN4M */
NativeError_S AN4M_AnalogInput_Get(uint16_T *adc, uint16_T *status);
NativeError_S AN4M_AnalogInput_Create(void);

/* S-Function Block: <S1>/motohawk_ain1 Resource: AN5M */
NativeError_S AN5M_AnalogInput_Get(uint16_T *adc, uint16_T *status);
NativeError_S AN5M_AnalogInput_Create(void);

/* S-Function Block: <S1>/motohawk_din Resource: AN6M */
NativeError_S AN6M_DigitalInput_Get(boolean_T *out, uint16_T *status);
NativeError_S AN6M_DigitalInput_Create(void);

/* S-Function Block: <S1>/motohawk_din1 Resource: AN1M */
NativeError_S AN1M_DigitalInput_Get(boolean_T *out, uint16_T *status);
NativeError_S AN1M_DigitalInput_Create(void);

/* S-Function Block: <S1>/motohawk_din2 Resource: AN2M */
NativeError_S AN2M_DigitalInput_Get(boolean_T *out, uint16_T *status);
NativeError_S AN2M_DigitalInput_Create(void);

#endif
